gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::BuilderError Class Reference

Exception class for Gdk::Builder errors. More...

Inheritance diagram for Gtk::BuilderError:
[legend]
Collaboration diagram for Gtk::BuilderError:
[legend]

## Public Types
enum | Code { INVALID_TYPE_FUNCTION, UNHANDLED_TAG, MISSING_ATTRIBUTE, INVALID_ATTRIBUTE, INVALID_TAG, MISSING_PROPERTY_VALUE, INVALID_VALUE, VERSION_MISMATCH, DUPLICATE_ID }

## Public Member Functions
| BuilderError (Code error_code, const Glib::ustring& error_message)
| BuilderError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexceptoverride
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gdk::Builder errors.

## Member Enumeration Documentation

enum Gtk::BuilderError::Code

Enumerator
INVALID_TYPE_FUNCTION |
UNHANDLED_TAG |
MISSING_ATTRIBUTE |
INVALID_ATTRIBUTE |
INVALID_TAG |
MISSING_PROPERTY_VALUE |
INVALID_VALUE |
VERSION_MISMATCH |
DUPLICATE_ID |

## Constructor & Destructor Documentation

Gtk::BuilderError::BuilderError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::BuilderError::BuilderError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gtk::BuilderError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- gtkmm/builder.h